﻿init:
    python:
        def max_points(*values):
            return [i for i, v in enumerate(values) if v == max(values)]
            
    image bg koridor = "hallwayday.png"
    image bg kelas = "classroomday.png"
    image bg kantin = im.Scale("Patio.jpg",800,600)
    image bg perpus = im.Scale("kk_metro_library_07.jpg",800,600)
    image bg klub = "classroomday.png"
    image bg rumahsiang = "roomday.png"
    image bg kamarsiang = "bedroomday.png"
    image bg black = "blackground.png"
    image bg lapangan = im.Scale("JGS_BasketballCourt.jpg",800,600)
    image bg telepon = im.Scale("yourphone.gif",800,600)
    
    image Maya normal = im.Scale("maya-1fix.png",220,700)
    image Maya happy = im.Scale("maya-2fix.png",200,700)
    image Maya smile = im.Scale("maya-3fix.png",200,700)
    image Maya sad = im.Scale("maya-4fix.png",200,700)
    image Maya blush = im.Scale("maya-5fix.png",200,700)
    
    image Anita normal = im.Scale("anita-1.png",200,700)
    image Anita happy = im.Scale("anita-2.png",200,700)
    image Anita smile = im.Scale("anita-3.png",200,700)
    image Anita sad = im.Scale("anita-4.png",200,700)
    image Anita blush = im.Scale("anita-5.png",200,700)
    
    image Marina normal = im.Scale("marina-1.png",200,700)
    image Marina happy = im.Scale("marina-2.png",200,700)
    image Marina smile = im.Scale("marina-3.png",200,700)
    image Marina sad = im.Scale("marina-4.png",200,700)
    image Marina blush = im.Scale("marina-5.png",200,700)
    
    image Roy normal = im.Scale("roy-netral.png",280,700)
    image Roy marah = im.Scale("roy-marah.png",280,700)
    image Roy happy = im.Scale("roy-happy.png",280,700)
    image Roy basketnormal = im.Scale("roy-basket-netral.png",280,700)
    image Roy basketmarah = im.Scale("roy-basket-marah.png",280,700)
    image Roy baskethappy = im.Scale("roy-basket-happy.png",280,700)
    
    $ m = Character('Maya', color="#c8ffc8",show_two_window=True)
    $ t = Character('Teacher',color="#c2d4ff",show_two_window=True)
    $ p = DynamicCharacter('player',color="#d3d7c3",show_two_window=True)
    $ r = Character('Roy',color="#706070",show_two_window=True)
    $ a = Character('Anita',color="#d100d1",show_two_window=True)
    $ mr = Character('Marina',color="#8000f3",show_two_window=True)
    $ u = Character('???',color="#f3f3f3",show_two_window=True)
    $ d = Character('Dad',color="#ff00f3",show_two_window=True)
    
    $ roy = 0
    $ maya = 0
    $ marina = 0
    $ anita = 0
    $ FirstCafe = True
    $ FirstLibrary = True
    $ FirstClub = True
    $ FirstClass = True
    $ score = 50
    $ day = "Monday"
    $ JoinBasket = False
    $ JoinMagazine = False
    $ FirstWithAnita = True
    $ FirstBesideRoy = True
    $ FirstBesideMaya = True
    $ FirstBesideMarina = True
    $ EndOfSemester = False
    
label start:
    centered "%(day)s"
    
    play music "lagu-1.wav"
    scene bg koridor with fade
    
    "I am walking down the corridor, following the teacher in front of me."
    "I turn my head around and realize this school is a lot different than the one I'm from."
    "She suddenly stops in front of a door, which clearly is a classroom door."
    "She enters the class, I'm following behind her."
    
    scene bg kelas with dissolve
    
    t "Class, attention please. Today we have a new transferral student."
    "The teacher look at me, and I smile to the rest of the class."
    t "Could you introduce yourself please?"
    
    $ player = renpy.input("Enter your name.")
    
    p "Good morning, my name is %(player)s. I'm from out of town and I'm here because of my dad's job."
    "After that and for the next ten minutes, I am busy answering all the questions from students in my class."
    t "Guys, I think that's enough we're going to start the class. But first we have to find a seat for you."
    t "There's a place next to Roy, you can have a seat there."
    "I walk to the seat she just pointed and take a seat there."
    
    show Roy normal at Position(xpos=0.83,ypos=1.18) with moveinright
    
    r "Hi my name is Roy."
    p "I'm %(player)s. but I think you already knew that."
    "And after that, the class begins."
    
    scene bg kelas with fade
    
    "A long time has passed by and then the bell rings three times."
    
    show Roy normal at Position(xpos=0.83,ypos=1.18) with moveinright
    
    r "It's break time already."
    
    show Maya normal at Position(xpos=0.5,ypos=1.3) with moveinleft
    
    m "Hi %(player)s, My name is Maya and I'm the head of the class."
    p "It's nice to meet you, Maya."
    
    show Marina normal at Position(xpos=0.2,ypos=1.25) with moveinleft
    
    mr "Hi I'm Marina, a member of the student council."
    p "It's also nice to meet you, Marina."
    r "So what do you want to do now? we can grab something at the cafetaria."
    m "We also have a library here if you want to read something."
    mr "Or maybe you want to join a club? I recommend the school magazine club."
    m "Yeah,that's because you join that club."
    r "So? what do you want to do?"

menu:
    "Let's get something to eat.":
        jump Cafetaria
    
    "I think I'll read a book for now.":
        jump Library
    
    "The school magazine club sounds interesting.":
        jump Club
    
    "I want to stay at the class for now.":
        jump Class
    
label Cafetaria:
    $ roy +=10
    
    r "Okay then, let's go to the cafetaria."
    
    scene bg kantin with dissolve
    
    if FirstCafe == True:
        show Roy normal at Position(xpos=0.5,ypos=1.18) with moveinright
        
        "He show me where the cafetaria is."
        "This place seems so crowded, full with students buying foods, drinks and snacks."
        "We buy some foods and eat them together at one of the tables."
        "We head back to the class once we finish eating."
        $ FirstCafe = False
    else:
        show Roy normal at Position(xpos=0.5,ypos=1.18) with moveinright
        
        "Together,we are going to the cafetaria."
        "Both of us order some food and then eat together at one of the tables."
        "Right after we finish eating, the school bell rings again and we head back to the class together."
    
    jump AfterBreak
label Library:
    $ anita += 10
    
    r "Well then I'll be at the cafetaria if you're looking for me."
    
    if FirstLibrary == True:
        scene bg koridor with dissolve
        
        "I walk down the corridor untill I reach the Library."
        
        scene bg perpus with dissolve
        
        "Inside I see plenty of bookshelves, each filled with books."
        "I walk to one of the shelves, one book catches my attention."
        p "\"Learn Japanese-Volume 1\" this book seems interesting."
        "I take that book out and then take a seat at one of the tables."
        "While I am reading, I notice a girl."
        
        show Anita normal at Position(xpos=0.2,ypos=1.3) with dissolve
        
        "I feel like I've seen her somewhere before, but where exactly?"
        
        hide Anita normal with dissolve
        
        "I keep reading my book, ignoring that girl."
        $ FirstLibrary = False
    else:
        scene bg perpus with dissolve
        
        "I go to the library again, I take the book that I read before and then take a seat at the same table."
        
        show Anita normal at Position(xpos=0.2,ypos=1.3) with dissolve
        
        "I notice that girl again, sitting at the same table she was at yesterday."
        
        "This time she notice me looking at her, I hurrily look back at my book and keep reading."
        
        hide Anita normal with dissolve
    
    if anita < score:
        "The bell ring before I even finish reading my book."
        "I return it to the shelves to read it again tomorrow."
        jump AfterBreak
    elif anita == score:
        u "Excuse me, can you help me a little?"
        "I look up to where the voice come from, and notice that girl I thought I've seen before."
        
        show Anita normal at Position(xpos=0.5,ypos=1.3) with dissolve
        
        p "How can I help you?"
        u "Well, I need to return this book to its shelf but it's too high for me to return it by myself. So would you put it back for me please?"
        p "How did you manage to get that book in the first place?"
        u "By the help of another student, but there is only you and me now."
        "I look around and wondering, since when has this place became so empty?"
        p "Okay I'll do it, wich shelf is it?"
        "She told me which one and it IS too high for her but not for me. So I easily put it back."
        u "Thanks."
        p "You're welcome."
        p "By the way have we met before? because you seems familiar."
        
        show Anita happy at Position(xpos=0.5,ypos=1.3)
        
        "She giggles."
        p "What's so funny?"
        u "You don't know me, that's what.We're in the same class you must have seen me when you're smiling before you introduced yourself."
        p "And how come I didn't know you after all this time?"
        
        show Anita normal at Position(xpos=0.5,ypos=1.3)
        
        u "Well I really am not popular so it's not so strange if you don't know me."
        a "Anyway my name is Anita."
        p "It's nice to meet you Anita."
        "And then the bell ring three times."
        a "I think we should head back to class."
        p "Yeah, let's get back together."
        "And I return to the class...with Anita."
        jump AfterBreak
    
label Club:
    $ marina +=10
    
    r "Have fun with the club then."
    
    if FirstClub == True:
        scene bg koridor with dissolve
        show Marina normal at Position(xpos=0.5,ypos=1.25) with dissolve
        
        "Marina show me the way to the club, I am following behind her."
        
        scene bg klub with dissolve
        
        "She enters a room similiar to our class, only a little bit of a difference."
        "Inside the club, I see a couple of students beside Marina and me."
        
        show Marina normal at Position(xpos=0.5,ypos=1.25) with moveinright
        
        mr "Guys, let me introduce you to a new member of our club."
        p "Hi my name is %(player)s. It's nice to meet you all."
        "After that, all of them introduce themself to me."
        mr "Alright enough of the introducial ceremonial, let's tell %(player)s what he needs to do."
        "They tell me everything I need to do."
        "It's not a difficult thing, just write a simple article about things around school or another specific subject."
        $ JoinMagazine = True
        $ FirstClub = False
    else:
        scene bg klub with dissolve
        show Marina normal at Position(xpos=0.5,ypos=1.25) with dissolve
        
        "Today I go to the club together with Marina."
        "At the club we discuss articles needs to be written for the next month's release of the school magazine."
        "It's not a serious discussion though, we are still allowed to chew some snacks while discussing."
        
    if marina < score:
        scene bg koridor
        show Marina normal at Position(xpos=0.83,ypos=1.25)
        with dissolve
        
        "After we've done discussing, Marina and me head back to the class together."
            
        jump AfterBreak
    elif marina == score:
        mr "Hey %(player)s, there's something I want to talk to you about."
        p "Hm? what is it?"
        mr "I want to know your opinion about this article."
        "She shows me an article, it's about the latest MP4 player which is about to be released next month."
        p "I don't know a girl like you can write an article like this."
        mr "It's for the gadget section. I don't know if it's good or not so I need a boy's opinion about it. You do know about stuff like this, right?"
        p "That's right."
        "I read her article, and do a little correction here and there. Until I think it's good enough."
        p "There, I think it's pretty good now."
        mr "Thanks."
        mr "Hey, can I check your article?"
        p "Huh? what for?"
        mr "Well you've checked mine, why don't I check yours?"
        p "You have a point, though."
        "And so, she checks my article about Japanese culture."
        mr "Hey, this is pretty good I don't know you can write such an article."
        p "Thank you."
        "The bell ring, indicating that the break time is over."
        p "We should head back to class."
        
        scene bg koridor
        show Marina normal at Position(xpos=0.83,ypos=1.25)
        with dissolve
        
        "I walk my way down the corridor to the class with Marina just like usual."
        jump AfterBreak
label Class:
    $ maya +=10
    
    r "Okay then, I'll grab something to eat myself."
    
    scene bg kelas with dissolve
    
    if FirstClass == True:
        "While I am sitting at my desk, I see Maya just a few seat away from me."
        "I stand up from my desk and approach hers."
        
        show Maya normal at Position(xpos=0.5,ypos=1.3) with dissolve
        
        p "I don't know that the head of the class would have so much spare time."
        m "Oh hi %(player)s, well...being the head of the class doesn't mean I'm busy all the time. Sometimes I have free times too."
        $ FirstClass = False
        
    else:
        show Maya normal at Position(xpos=0.5,ypos=1.3) with dissolve
        
        "Today, I am spending my time chatting with Maya again."
        "She's a very friendly girl...it's nice to talk with her."
    
    if maya < score:
        "We chat a little, before the bell finally ring and the class is about to get started."

        jump AfterBreak
        
    elif maya == score:
       m "By the way %(player)s have you finished that math homework?"
       p "Math homework? which one?"
       m "The one that Mr.Alan gave us last week. Don't tell me you've forgot."
       p "What do you mean? of course I remember{w}.{w}.{w}.{w}after you told me just now."
       m "*sigh*{w} I can't believe it, it have to be done by tomorrow."
       p "Well...you know, it's mathematic and I never pay much attention to math."
       
       show Maya happy at Position(xpos=0.5,ypos=1.3)
       
       m "Hey I know, why don't I come to your house tonight."
       p "Huh? what for?"
       
       show Maya normal at Position(xpos=0.5,ypos=1.3)
       
       m "Do your math,silly. If you don't do it tonight you won't be able to survive tomorrow."
       p "Is that your obligation as the head of the class?."
       
       show Maya happy at Position(xpos=0.5,ypos=1.3)
       
       m "No, I just want to help you so don't protest."
       "The bell ring three times."
       p "Okay you can come to my house, I'll see you afterschool."
       m "See you."
       
       jump AfterBreak
       
label AfterBreak:
    scene bg kelas with dissolve
    show Roy normal at Position(xpos=0.83,ypos=1.18) with dissolve
    
    "Right before the teacher come in, I sit down at my desk beside Roy's."
    
    if roy == score:
        r "By the way %(player)s, have you decided in joining any club activities at school yet?"
        p "Eh? school club?"
        
        if JoinMagazine == False:
            p "No I haven't, why did you ask?"
            r "Then why don't join basketball club? it's fun and challenging. I'm in the club too so why don't you join?"
            
        else:
            p "I have, the school magazine club sounds interesting."
            r "How come the school magazine club is interesting?"
            p "How come it is not?"
            r "Because the basketball club is much more interesting. It's a lot more challenging than writing articles in the school magazine club and it's fun too, what do you say?"
            
        menu:
            "Allright if you're in the club then I'll join.":
                jump JoinBasket
        
            "Thanks, but I don't really like basketball":
                jump NotJoinBasket
        
    if anita == score:
        "While Anita sit at her table at the far rear of the class.{p}No wonder I never recognise her before, her place is a bit isolated."
        r "Hey %(player)s, were you just with Anita just now?"
        p "Yeah I met her at the library, why do you ask?"
        r "Well...nothing, it's just...noone has ever been close to her before."
        p "Oh really? and why is that?"
        r "She's a nerd who's happier to be with books than with people, that's why nobody has ever been close to her. You're the only one who's ever been that close to her maybe that's a sign you're also a nerd."
        
        scene bg black with fade
        scene bg koridor with fade
        
        "The school has ended, it's time for everybody to go home."
        
        show Anita normal at Position(xpos=0.5,ypos=1.1) with moveinleft
        
        a "Hey %(player)s wait for me."
        
        #hide Anita normal with moveoutleft
        show Anita normal at Position(xpos=0.5,ypos=1.3) with moveinleft
        
        p "Eh? what is it Anita?"
        a "Umm...I was just wondering...you like to read, right?"
        p "Yeah I do like to read."
        a "What kind of books do you read? a novel or a scientific book?"
        p "You can't classify that \"Learn Japanese-Volume 1\" to a novel,but it doesn't lean to the scientific side too since it doesn't discuss many of technical aspects."
        p "But if you ask me to choose between those two, I'd pick novel. I like reading something that doesn't make my brain tired."
        
        show Anita happy at Position(xpos=0.5,ypos=1.3)
        
        a "Well, if you do prefer novel then would you like to take a read at my novel?{p}It's only half-written now, so I hope you can give me suggestions."
        "She hand me a book, a simple book where you write everything you want to write."
        a "You can read it later if you want to, just remember to give me a feedback."
        p "Allright, I'll read it later. See you tomorrow."
        a "See you."
        
        scene bg rumahsiang with fade
        
        p "I'm home."
        p "Nobody answers...I should've known it,dad and mom are off working."
        
        scene bg kamarsiang with wipeleft
        
        p "Let's see...where's that novel Anita gave me?"
        "I take Anita's novel out of the bag and start reading it.{p}...{p}....{p}....."
        "It's another romance novel, but there's something not right in the storyline.{p}Maybe I'll just talk about it with Anita tomorrow."
        
        hide bg kamarsiang with fade
        
        jump NextDay
        "It should jump somewhere, but the destination hasn't been made yet."
        return
    if marina == score:
        scene bg black with fade
        scene bg koridor with fade
        
        "Afterschool, I walk down the corridor just as usual intenting to get home."
        
        show Marina normal at Position(xpos=0.5,ypos=1.15) with moveinleft
        
        mr "Hey %(player)s wait up."
        
        #hide Marina normal with moveoutleft
        show Marina normal at Position(xpos=0.5,ypos=1.25) with moveinleft
        
        p "Eh? what is it Marina?"
        mr "Would you mind accompany me to the magazine club for a second?  I think I left something there."
        p "Sure, why not?"
        
        scene bg kelas with dissolve
        show Marina normal at Position(xpos=0.5,ypos=1.25) with moveinright
        
        p "So, what did you left here Marina?"
        mr "My pen, I brought it here when we were dicussing article just then and after that it's nowhere to be found."
        p "I'll help you look for it if you don't mind."
        mr "Thanks."
        
        hide Marina normal with moveoutright
        
        "Together we both search the room, looking for a pen.{p}Not so long after that I found a pen lying on the floor."
        p "Marina, is this yours?"
        
        show Marina normal at Position(xpos=0.5,ypos=1.25) with moveinleft
        
        mr "Yes, that's what I'm looking for."
        "I hand the pen to Marina, while doing so my forefinger accidentally touched her hand."
        mr "Oh."
        p "What is it?"
        mr "Oh, it's nothing."
        
        show Marina happy at Position(xpos=0.5,ypos=1.25)
        
        mr "A...Anyway, we've found my pen so let's head home now."
        p "Yeah, let's."
        
        jump ThreeMonthsLater
        "It should jump somewhere but the destination hasn't been made yet."
        return
    if maya == score:
        scene bg black with fade
        scene bg koridor with fade
        
        "After the school ends, I am wating for Maya at the corridor."
        
        show Maya normal at Position(xpos=0.5,ypos=1.3) with moveinleft
        
        m "Hi %(player)s, did you wait long?"
        p "No, not really.{p}So...let's go to my house."
        m "Yeah, let's"
        
        scene bg rumahsiang with fade
        
        p "Here we are."
        
        show Maya normal at Position(xpos=0.5,ypos=1.3) with moveinright
        
        m "Your house is pretty empty, where is everybody?"
        p "My dad and mom are working in the afternoon, and I'm the only kid they have so my house ALWAYS empty in the afternoon."
        p "Anyway, let's go to my room."
        
        scene bg kamarsiang with wipeleft
        
        show Maya normal at Position(xpos=0.5,ypos=1.3) with moveinright
        
        m "Hey...your room is quite neat for a boy's room."
        p "Thanks.{p}Now where's that math book?"
        
        scene bg kamarsiang
        show Maya normal at Position(xpos=0.5,ypos=1.3)
        with fade
        
        m "Alright that's it, now you won't have any trouble tomorrow."
        p "Thanks Maya."
        m "Anytime.{p}Oh maybe I should go home now, it's starting to get dark."
        p "You sure you don't wanna get a drink first?"
        
        show Maya happy at Position(xpos=0.5,ypos=1.3)
        
        m "No, I'm fine thanks."
        
        scene bg rumahsiang with wiperight
        show Maya normal at Position(xpos=0.5,ypos=1.3) with moveinleft
        
        p "Be careful on your way home."
        
        show Maya happy at Position(xpos=0.5,ypos=1.3)
        
        m "Yeah, see you tomorrow."
        
        jump ThreeMonthsLater
        "It should jump somewhere, but the destination hasn't been made yet."
        return
    
    scene bg black with fade
    scene bg koridor with fade
    
    "A few hours later, the school ends and all the students are getting out of the class."
    "Today's school was pretty tough, I better prepare for tomorrow."
    
    hide bg koridor with fade
    
    jump NextDay
    
label NextDay:
    if day == "Monday":
        $ day = "Tuesday"
    elif day == "Tuesday":
        $ day = "Wednesday"
    elif day == "Wednesday":
        $ day = "Thursday"
    elif day == "Thursday":
        $ day = "Friday"
    elif day == "Friday":
        $ day = "Saturday"
    elif day == "Saturday":
        $ day = "Sunday"
    elif day == "Sunday":
        $ day = "Monday"
    
    centered "%(day)s"
    
    if day == "Sunday":
        scene bg kamarsiang with fade
        
        p "Today's sunday, no school nor activities for today.{p}Just enjoying a nice weekend at home."
        
        hide bg kamarsiang with fade
        jump NextDay
    
    if anita == score:
        scene bg koridor with fade
        show Anita normal at Position(xpos=0.5,ypos=1.3) with dissolve
        
        p "Anita, what a coincidence to meet you here."
        
        show Anita happy at Position(xpos=0.5,ypos=1.3)
        
        a "Oh hi %(player)s, so what do you think about my novel?"
        p "To be honest, I have a little critique on the storyline. You see...the girl protagonist's expression when he first met the boy is a bit easy to tell that she had a crush on him at first sight, I know you want to make the her fall in love at first sight but you can try a different way like..."
        
        scene bg black with fade
        scene bg koridor with fade
        show Anita normal at Position(xpos=0.5,ypos=1.3) with dissolve
        
        a "I see, thanks for your suggestions %(player)s."
        p "No problem, anytime."
        a "Anyway, we really have to head to the class we've been talking here for almost half an hour."
        p "Yeah you're right."
        
        scene bg kelas with dissolve
        
        "I enter the class right after Anita, we're lucky the teacher isn't here yet."
        
        show Roy normal at Position(xpos=0.5,ypos=1.18) with moveinleft
        
        r "You really have become a nerd."
        p "Just drop it okay."
        "Right after that, the teacher come in and the class continues."
        
        scene bg black with fade
        
        jump ThreeMonthsLater
    scene bg koridor with fade
    
    "I walk down the corridor to my class, trying to get there on time."
    
    scene bg kelas with dissolve
    
    "I sit down at my desk, paying as many attention as I can to the lessons."
    "Not so long after that, the bell ring three times indicating it's break time."
    
    show Roy normal at Position(xpos=0.83,ypos=1.18) with moveinright
    
    r "Hey %(player)s it's break time already, what do you wanna do?"
    
menu:
    "I want to get something to eat.":
        jump Cafetaria
    
    "Why don't I go to the library?.":
        jump Library
    
    "Go to the magazine club.":
        jump Club
    
    "Stays in class sounds fine.":
        jump Class
        
label JoinBasket:
    $ roy +=10
    
    p "Allright I'll join if you join, but promise me to teach me a little basketball okay?"
    
    show Roy happy at Position(xpos=0.83,ypos=1.18)
    
    r "Hey relax! that's what friends are for! and oh yeah, we practice every saturday so be sure to bring your P.E uniform okay!"
    
    $ JoinBasket = True
    scene bg black with fade
    
    jump ThreeMonthsLater
    "It should jump somewhere but the destination hasn't been made yet."
    return
    
label NotJoinBasket:
    p "Thanks Roy but no thanks."
    r "Why not? you don't like basketball?"
    p "No, I don't. I was never good at it since I was a kid, my friends often bullied me back then so I don't feel any interest in basketball anymore."
    r "Well okay then, I won't bring your childhood nightmare back."
    
    scene bg black with fade
    jump ThreeMonthsLater
    "It should jump somewhere but the destination hasn't been made yet."
    return
    
label ThreeMonthsLater:
    scene bg black with fade
    
    $ day = "Monday"
    
    centered "Three months later."
    
    scene bg black with fade
    
    centered "%(day)s"

    scene bg kamarsiang with fade
    
    p "It has been three months now since I got transferred, I can't believe time has really flew."
    p "Anyway, it's almost time for school and I better hurry or else I'll be late."
    
    hide bg kamarsiang with fade
    scene bg kelas with fade
    show Roy normal at Position(xpos=0.83,ypos=1.18) with moveinright
    
    r "Hey %(player)s good morning."
    p "Good morning Roy."
    r "So how's your preparation for next week?"
    p "Eh? what do you mean?"
    r "Don't act like you don't remember, next week is the mid-semester exam or you do not remember about that."
    p "Of course I do.{w}.{w}.{w}not remember."
    
    show Roy happy at Position(xpos=0.83,ypos=1.18)
    
    r "Hahahah! just as I expected."
    p "What do you mean by that? stop laughing."
    
    show Roy normal at Position(xpos=0.83,ypos=1.18)
    
    r "Don't worry about it, there's still a week left before the exam you can still prepare yourself in the meantime."
    p "I don't think a week is enough for the preparation for the test."
    r "Hey, it's your fault to forgot about it in the first place."
    p "That's right, but since I remember it now can I ask you for your help?"
    r "No prob. We can study together afterschool."
    
    scene bg black with fade
    scene bg koridor with fade
    show Roy normal at Position(xpos=0.83,ypos=1.18) with moveinright
    
    p "Okay, now the school's ended where are we gonna study?"
    r "We can go to the library, there're a lot of books there and it's quite quiet so it would make a perfect studying place."
    p "Allright let's go there."
    
    scene bg perpus with dissolve
    show Roy normal at Position(xpos=0.83,ypos=1.18) with moveinright
    
    "When we got there, there are already a few students in the library."
    p "It turned out we're not the only students here."
    
    show Roy marah at Position(xpos=0.83,ypos=1.18)
    
    r "Yeah, they stole my idea! how dare them!"
    p "Relax, don't let it bother you let's find a place to sit and study."
    
    show Roy normal at Position(xpos=0.83,ypos=1.18)
    
    r "Hmph."
    p "Hm? hey it's Maya and Marina, hi girls."
    
    show Maya normal at Position(xpos=0.5,ypos=1.3)
    show Marina normal at Position(xpos=0.2,ypos=1.25)
    with moveinleft
    
    m "Hi, it seems like you two are studying here as well."
    r "Yeah,everybody stole my idea."
    p "Don't mind him he's just being childish."
    
    show Roy marah at Position(xpos=0.83,ypos=1.18)
    
    r "I'm not childish!!"
    
    show Roy normal at Position(xpos=0.83,ypos=1.18)
    
    mr "Anyway, do you guys want to study with us? it'd be better than just us two."
    p "Okay, but I'll go look for the books first."
    mr "Actually we have bring some books but if you want to go look for your own then go ahead."
    r "We'll be occupying this table."
    
    hide Roy normal
    hide Maya normal
    hide Marina normal
    with moveoutright
    
    "While they're \"occupying\" the table, I am looking for a little literature."
    
    show Anita normal at Position(xpos=0.2,ypos=1.3) with dissolve

    if anita < score:
        "While I am looking for books, I see that girl I usually saw at the library...Anita.{w} For all I know she's almost always at the library so there's nothing strange in seeing her here."
    else:
        "While I am looking for books, I see Anita.{w} As usual, she's alone because everybody thinks she's strange."
    
    hide Anita normal with dissolve
    
    "After a while, I finally got enough books for study reference."
    
menu:
    "Study with Anita is not a bad idea.":
        jump WithAnita
    
    "I promised them three to study with them.":
        jump NotWithAnita
    
label WithAnita:
    $ anita +=10
    
    if renpy.showing("Anita"):
        show Anita normal at Position(xpos=0.5,ypos=1.3) with move
    else:
        show Anita normal at Position(xpos=0.5,ypos=1.3) with dissolve
    
    "I approach Anita while she's still busy reading her book."
    
    if FirstWithAnita == True:
        if anita == score + 10:
            if EndOfSemester == False:
                p "So how's your novel going?"
                a "Oh it's you %(player)s, well my novel status is pending right now I want to focus on the test."
                p "That's a bit of a shame, you have the potential to be a good novelist."
            
                show Anita happy at Position(xpos=0.5,ypos=1.3)
            
                a "I appreciate what you just said, thank you very much."
                "And then I start studying what I need, we didn't talk much except when she asks me something or vice versa."
                $ FirstWithAnita = False
            
                jump DoneStudying
                "It should jump somewhere but the destination hasn't been made yet."
                return
            else:
                p "Hi Anita, can we study together?"
                a "Oh hi %(player)s, of course we can just take a seat here %(player)s."
                "And then I take a sit beside her and start reading my books."
                jump DoneStudying
        else:
            if EndOfSemester == False:
                p "Hi, can I sit here?"
                a "Sure, go ahead."
                "And then I sit beside her and start reading my books."
                $ FirstWithAnita = False
            
                jump DoneStudying
                "It should jump somewhere but the destination hasn't been made yet."
                return
            else:
                p "Hi Anita, can I study with you?"
                a "Oh %(player)s yes you can, just sit here."
                "I take a sit beside her and start reading my books."
                jump DoneStudying
    else:
        if anita < score * 2:
            p "Hi Anita, can I sit here again?"
            a "No problem, go ahead."
            "I sit down beside her, and study my books. We didn't talk much except when she asks me something."
            
            jump DoneStudying
            "It should jump somewhere but the destination hasn't been made yet."
            return
        elif anita >= score *2:
            if EndOfSemester == False:
                "I sit down beside her and we start studying together."
                "After a while I found difficulty in one of the test exercise."
                p "Hey Anita, could you help me with this?"
                a "..."
                p "Anita!"
                a "Oh sorry %(player)s I wasn't listening, What did you say just now?"
                p "What were you doing? that is not a test exercise."
                a "No, it's a novel that I've been working on recently."
                p "Huh? why? don't you want to focus on the test?"
                a "I thought so too at first but I just can't let these ideas in my head unwritten, so I wrote them."
                p "But what about the exam?"
                a "I know I might not be able to pass the test if I keep on like this but I just can't stop writing myself. And my dream is to be a successful novelist like J.K.Rowling."
                p "It is good to have a dream but that doesn't mean you have to throw everything else. If you keep on studying you can be a successful novelist and also a successful student."
            
                show Anita happy at Position(xpos=0.5,ypos=1.3)
            
                a "I guess you're right, thanks %(player)s for telling me that and accompany me to study these last few days. Nobody has ever want to be close to me, they all think I'm a strange girl"
                p "Anita, you're not a strange girl for me."
            
                show Anita smile at Position(xpos=0.5,ypos=1.3)
            
                a "R....Really?"
                p "Yeah, you're just quiet and loves to read...and to write for that matter. Everybody's different and nobody's perfect so don't think about what everyone has to say."
            
                show Anita blush at Position(xpos=0.5,ypos=1.3)
            
                a "Thank you %(player)s...for being able to understand me."
            
                jump exam
                "It should jump somewhere but the destination hasn't been made yet."
                return
            else:
                p "Hi Anita, can I sit here again?"
                a "No problem, go ahead."
                "I sit down beside her, and study my books. We don't talk much except when she asks me something."
            
                jump DoneStudying

label NotWithAnita:
    if renpy.showing("Anita"):
        hide Anita normal with dissolve
    
    show Roy normal at Position(xpos=0.83,ypos=1.18)
    show Marina normal at Position(xpos=0.5,ypos=1.25)
    show Maya normal at Position(xpos=0.2,ypos=1.3)
    with moveinleft
    
    "I go back to where the three of them are waiting for me, they're already reading books and doing exercises."
    
menu:
    "Take a seat beside Roy.":
        jump BesideRoy
    
    "Sit down beside Maya.":
        jump BesideMaya
    
    "Sit beside Marina.":
        jump BesideMarina
    
label BesideRoy:
    $ roy +=10
    
    hide Marina normal
    hide Maya normal
    with moveoutleft
    
    if FirstBesideRoy == True:
        p "Hey Roy what you got there?"
        r "Some geography, something that doesn't need any calculation. What about you?"
        p "A little math and physic, I'm weak on those subjects so I think I need to read it a little."
        r "Good luck in your calculation buddy."
        
        $ FirstBesideRoy = False
        jump DoneStudying
        "It should jump somewhere but the destination hasn't been made yet."
        return
    else:
        if roy < score * 2:
            if EndOfSemester == False:
                "I sit down beside Roy, doing my best in math and physic while he's still stumbling in his geography."
            
                jump DoneStudying
                "It should jump somewhere but the destination hasn't been made yet."
            else:
                "I take a sit beside Roy, eventhough he's not good with physic and math he is a great help at social science."
                
                jump DoneStudying
        elif roy >= score * 2:
            "I sit down beside Roy, doing my best in math and physic while he's still stumbling in his geography."
            
            jump DoneStudying
            "It should jump somewhere but the destination hasn't been made yet."
            return
    
label BesideMaya:
    $ maya +=10
    
    hide Roy normal
    hide Marina normal
    with moveoutright
    
    if FirstBesideMaya == True:
        p "Hi Maya what are you studying?"
        m "Math just as usual."
        p "I don't understand how can you like math?"
        m "Because it's fun and challenging you know when you finished those equations."
        p "I often solved those equations.....{w}barely. That's why I don't like math."
        
        $ FirstBesideMaya = False
        jump DoneStudying
        "It should jump somewhere but the dsetination hasn't been made yet."
        return
    else:
        if maya < score * 2:
            "I sit down beside Maya, doing what I can in math and asks a lot of help from her."
            
            jump DoneStudying
            "It should jump somewhere but the destination hasn't been made yet."
        elif maya >= score * 2:
            "I sit down beside Maya and trying as hard as I can to complete the math exercise."
            
            if EndOfSemester == False:
                hide Maya normal with dissolve
            
                "Realizing that my effort is nearly useless I turn around to Maya, hoping she'd help me. But she's not at her chair."
                p "Where's Maya?"
            
                show Marina normal at Position(xpos=0.83,ypos=1.25) with moveinright
            
                mr "If you're looking for her she just went to look for another book."
                p "Thanks Marina, I'll go look for her."
            
                hide Marina normal with dissolve
            
                "I stand up from my chair and start looking for Maya."
            
                show Maya normal at Position(xpos=0.5,ypos=1.3) with dissolve
            
                "I found her at the quiet side of the library, nobody but her is here."
                p "Maya, can you help me in this exercise?"
                m "Let me take a look at it."
                "She looks at the exercise, and within a few minutes she completed it."
                p "Whoa Maya you're so smart, I wouldn't be able to solve that question."
                m "True, I'm good at math but it's the only thing I'm good at."
                p "What do you mean by that?"
            
                show Maya sad at Position(xpos=0.5,ypos=1.3)
            
                m "I mean what I said, math is the only thing I'm good at. My grades for any other subject is average, some are below it. People want me as friend just so I could help them in math but at other times, I was forgotten."
                m "You're just like them too, you came to me just because you need something out of me if you don't you'd still be with Roy and Marina."
                p "Maya..."
            
                show Maya normal at Position(xpos=0.5,ypos=1.3)
            
                p "So what about it if you're good at math? everybody have something that they good at and bad at, it's just you're coincidentally good at math and everybody aren't. Nobody's perfect in this world that's why we help each other...{p}to fill in the blanks in other people's abilities."
                p "If you have something you can't do, that's normal that's what makes you so human."
            
                show Maya blush at Position(xpos=0.5,ypos=1.3)
            
                m "%(player)s....thank you,{w} you're so nice."
            
                jump exam
                "It should jump somewhere but the destination hasn't been made yet."
                return
            else:
                "Lucky me, she's there to help."
                jump DoneStudying
    
label BesideMarina:
    $ marina +=10
    
    hide Roy normal with moveoutright
    hide Maya normal with moveoutleft
    
    if FirstBesideMarina == True:
        p "Hi Marina, what are you reading right now?"
        mr "Biology, what about you?"
        p "Math, I always bad at this so I think I should study a little."
        "I sit down beside her and start studying."
        
        $ FirstBesideMarina = False
        jump DoneStudying
        "It should jump somewhere but the destination hasn't been made yet."
        return
    else:
            if marina < score * 2:
                "I sit down beside Marina, trying to enhance my math ability while she's busy with her biology."
                
                jump DoneStudying
                "It should jump somewhere but the destination hasn't been made yet."
                return
            elif marina >= score * 2:
                "I sit down beside Marina and start reading my book."
                
                if EndOfSemester == False:
                    "After a while, she asks me something about biology and I answer it."
                    mr "Oh, so that's the answer. Thanks for helping me out %(player)s."
                    "She is about to write down the answer when suddenly..."
                    mr "Oh."
                    p "What is it? something wrong?"
                    mr "I couldn't find my pen, I'm sure it was in my bag before."
                    p "Maybe you left it somewhere, in the class maybe?"
                    mr "Maybe...could you help me find it?"
                    p "Sure, no problem."
                
                    scene bg kelas with dissolve
                    show Marina normal at Position(xpos=0.5,ypos=1.25) with dissolve
                    
                    "Together, we search the room looking for a pen."
                    "I found one lying on the floor."
                    p "Marina, is this pen yours?"
                    mr "Let me take a look at it.{w} Yes, it's mine thanks for helping me find it this pen is so valuable to me."
                    p "Really? it's just a pen."
                    
                    show Marina happy at Position(xpos=0.5,ypos=1.25)
                    
                    mr "Maybe for you but not for me, this is the last pen that my dad gave me. He died a year ago because of cancer."
                    p "I'm sorry, I didn't know..."
                    mr "Don't be, you couldn't have known it I'm just grateful this pen is not lost."
                    mr "And please...don't ask me to throw this pen away."
                    p "Why would I ask you that?"
                    mr "Well, when we keep something from someone who died people usually say \"You should throw it away and move on.\" or something like that."
                    p "Marina, I don't think you should throw that pen away you can still move on even with that pen around."
                    p "Just keep it so your dad in heaven would know that you remember him, that's the only thing that we can do for those who dead. Telling them we remember them."
                    
                    show Marina blush at Position(xpos=0.5,ypos=1.25)
                    
                    mr "Yeah you're right, thanks again %(player)s."
                    
                    jump exam
                    "It should jump somewhere but the destination has not been made yet."
                else:
                    "While I am reading she asks me about a few questions she doesn't know the answer."
                    
                    jump DoneStudying
    
label DoneStudying:
    scene bg black with fade
    scene bg koridor with fade
    show Roy normal at Position(xpos=0.83,ypos=1.18)
    show Marina normal at Position(xpos=0.5,ypos=1.25)
    show Maya normal at Position(xpos=0.2,ypos=1.3)
    with dissolve
    
    "After a while, we've done studying at the library and starting to go home together."
    
    if day == "Saturday":
        if JoinBasket == True:
            r "Hey %(player)s where are you going? you're not intending to go home so soon now do you?"
            p "Of course not, this is saturday and it's our basketball day we have an exercise to do."
            if JoinMagazine == True:
                show Marina happy at Position(xpos=0.5,ypos=1.25)
                
                mr "%(player)s! don't tell me you've forgot that we have a magazine club meeting today. I've told you last week, didn't I?"
                p "Oh...right, now I remember."
                r "What's this all about? the school magazine club aren't usually have meetings in saturday."
                mr "That's because this isn't the usual meeting, we're about to discuss an important issue in this one."
                r "But you can't just do that, he's a member of the basketball club."
                mr "Yeah, but he's also a member of the school magazine club."
                
                show Maya happy at Position(xpos=0.2,ypos=1.3)
                
                m "Well, %(player)s? it seems like the time has come for you to decide which club you want to follow, the basketball club or the school magazine? you can't be in both clubs."
                m "So? which one will it be?"
                
                menu:
                    "I think it will be basketball club.":
                        $ roy +=10
                        
                        p "I've decided...it will be the basketball club."
                        
                        show Marina normal at Position(xpos=0.5,ypos=1.25)
                        
                        p "I'm sorry Marina."
                        
                        show Roy happy at Position(xpos=0.83,ypos=1.18)
                        
                        r "Ha! he has made the decision and he's going to my club."
                        mr "Okay then %(player)s if that's your choice then I won't force you to join the magazine club. Sorry but I have to go now, the meeting can't wait."
                        
                        hide Marina normal with moveoutleft
                        
                        r "Okay have a nice meeting, let's go %(player)s."
                        
                        $ JoinBasket = True
                        $ JoinMagazine = False
                        
                        jump Basketball
                    
                    "It will be the school magazine club.":
                        $ marina +=10
                        
                        p "I've made my decision and it's gonna be...the magazine club, sorry Roy."
                        
                        show Marina smile at Position(xpos=0.5,ypos=1.25)
                        
                        mr "Yeah Roy I'm really sorry to hear that."
                        r "Fine then suit yourself, I'm going basketball."
                        
                        hide Roy normal with moveoutright
                        
                        $ JoinMagazine = True
                        $ JoinBasket = False
                        
                        jump Magazine
            else:
                r "Well then let's go basketball!"
                
                jump Basketball
    if roy == score * 2:
        $ winner = max_points(maya,marina,anita)
        
        r "Hey %(player)s can I ask you something?"
        p "What is it?"
        
        hide Maya normal
        hide Marina normal
        with moveoutleft
        
        "Roy and me stop walking while Maya and Marina keep going on."
        r "Which one of those two girls do you like?"
        p "H-huh? why do you ask?"
        r "Hey I'm just curious, so which one is it?"
        
        if winner == [0]:
            p "If you told me to choose one between them two, I'd prefer Maya."
            r "Ah, so you have a crush on the head of the class, eh?"
            r "Well, she is pretty and smart and on top of that she's the head of the class, so good luck in winning her heart."
            p "Thanks for your support Roy."
            
            jump exam
        elif winner == [1]:
            p "To be honest, I like Marina."
            r "I see, she really is beautiful."
            p "Yeah, she's really charming isn't she?"
            if JoinMagazine == True:
                p "That's why I joined the school magazine club."
                r "So she's the reason you're in that club, eh?"
            
            jump exam
        elif winner == [2]:
            p "Actually, I prefer Anita than Maya and Marina."
            r "Huh? why? I don't see anything attracting from her."
            p "I don't know too but love doesn't need any reason to be loved, right?"
            r "Yeah, whatever Romeo."
            
            jump exam
        else:
            p "I don't know, I can't decide about that right now."
            r "Why not? it's simple, just pick one."
            p "Pick one, eh?"
            
            menu:
                "Then I'll pick Maya.":
                    $ maya += 10
                    
                    p "Allright then, I choose Maya."
                    r "See, you can choose one it's that simple."
                    jump exam
                
                "Well then...maybe I'll choose Marina.":
                    $ marina += 10
                    
                    p "If you want me to pick one, maybe I'll choose Marina."
                    r "Marina? she sure is beautiful so there's nothing strange if you choose her."
                    jump exam

    jump tomorrow
    
label tomorrow:
    scene bg black with fade
    
    if EndOfSemester == True:
        if day == "Friday":
            scene bg rumahsiang with fade
            
            p "I'm home.{w} Why should I say that, nobody's home anyway."
            "Suddenly, I hear a sound of phone ringing."
            p "Who could that be."
            
            scene bg telepon with dissolve
            
            p "Hello."
            u "%(player)s, it's me."
            p "Dad?"
            d "Yes son, there's something I must tell you it seems we have to move again."
            p "What? right away?"
            d "No son, but around a month there are some things at the office that must be done first before we move."
            p "I see."
            d "Son, I have to go now see you at home."
            p "see you."
            p "...{p}Man, this is sooner than usual."
            scene bg black with fade
    
    if  day == "Saturday":
        $ day = "Sunday"
    elif  day == "Friday":
        $ day = "Saturday"
    #elif  day == "Thursday":
      #  $ day == "Friday"
    #elif  day == "Wednesday":
      #  $ day = "Thursday"
    #elif  day == "Tuesday":
      #  $ day = "Wednesday"
    elif  day == "Monday":
        $ day = "Tuesday"
    
    if day == "Thursday":
        $ day = "Friday"
    
    if day == "Wednesday":
        $ day = "Thursday"
    
    if day == "Tuesday":
        $ day = "Wednesday"
    
    centered "%(day)s"
    
    if  day == "Sunday":
        scene bg kamarsiang with fade
        
        p "Today's sunday, no school nor activities for today.{p}Just enjoying a nice weekend at home."
        
        hide bg kamarsiang with fade
        
        $ day = "Monday"
        
        if EndOfSemester == False:
            jump exam
        else:
            jump EndExam
    
    scene bg koridor with fade
    
    "I walk down the corridor to my class, trying to get there on time."
    
    if EndOfSemester == True:
        if day == "Saturday":
            $ tell = max_points(roy,anita,maya,marina)
            
            if tell == [0]:
                show Roy happy at Position(xpos=0.5,ypos=1.18) with moveinright
                
                r "Hey %(player)s what's up? you came a little early today."
                p "Yeah, I woke up early today. Guess i'm too soon, eh?"
                r "You sure are! not so many arrived at the school at this time."
                p "Listen Roy, there's something I'd like to tell you. I'm gonna move soon."
                
                show Roy normal at Position(xpos=0.5,ypos=1.18)
                
                r "Really? when?"
                p "My dad said it'll be around a month. So I'll have time untill this end semester exam."
                r "It's a pity, you just been here for six months and now you have to leave?"
                p "Yeah I have to, there's nothing I can do about it."
            elif tell == [1]:
                show Anita happy at Position(xpos=0.5,ypos=1.3) with moveinright
                
                a "Oh %(player)s, good morning."
                p "Yeah, morning Anita."
                
                show Anita normal at Position(xpos=0.5,ypos=1.3)
                
                a "You seem troubled, is something wrong?"
                p "Well...my dad called from his office yesterday, he said we're gonna move in a month."
                a "You're moving away? so soon?"
                p "Yeah it's my dad's job and I can't protest about it."
            elif tell == [2]:
                show Maya happy at Position(xpos=0.5,ypos=1.3) with moveinright
                
                m "Hi there %(player)s, good morning."
                p "Morning Maya."
                
                show Maya normal at Position(xpos=0.5,ypos=1.3)
                
                m "What's wrong? you seems like you have something in your mind."
                p "Actually, I'm about to move."
                m "You mean...move from this town?"
                "I nod."
                m "Really? when? why?"
                p "Around a month because of my dad's job, I've said it when I first came here,haven't I? I'm here because of my dad's job and probably I'll move to other town again."
                
                show Maya sad at Position(xpos=0.5,ypos=1.3)
                
                m "You didn't say you'll probably move again!"
                p "Maya...I'm sorry but there's nothing I can do about it."
            elif tell == [3]:
                show Marina happy at Position(xpos=0.5,ypos=1.25) with moveinright
                
                mr "Hi %(player)s, good morning."
                p "Morning Marina."
                mr "What is it %(player)s? it seems like something is troubling you."
                p "Maybe there is, I'm about to move soon."
                mr "What? when?"
                p "Around a month, so I have a little time to spend here."
    scene bg black with fade
    
    centered "Afterschool."
    
    scene bg koridor with fade
    show Roy normal at Position(xpos=0.5,ypos=1.18) with dissolve
    
    "After the school ends I go to the library with Roy."
    
    scene bg perpus with fade
    show Roy normal at Position(xpos=0.83,ypos=1.18) with moveinright
    show Marina normal at Position(xpos=0.5,ypos=1.25)
    show Maya normal at Position(xpos=0.2,ypos=1.3)
    with moveinleft
    
    "At the library we meet Maya and Marina again."
    
    hide Roy normal
    hide Marina normal
    hide Maya normal
    with moveoutright
    
    "The three of them sit down at the same table as yesterday, while I go to get the books from the day before."
    
    show Anita normal at Position(xpos=0.2,ypos=1.3) with dissolve
    
    "When I got my books I see Anita again, still at the same place she was at yesterday."
    
menu:
    "Study with Anita":
        jump WithAnita
    
    "Study with Roy and the rest":
        jump NotWithAnita
    
label exam:
    scene bg black with fade
    
    if day == "Monday":
        centered "%(day)s."
    else:
        $ day = "Monday"
        centered "A few days later."
        
        scene bg black with fade
        
        centered "%(day)s."
    
    scene bg koridor with fade
    
    p "Today's the exam day, I have to do my best now."
    
    scene bg kelas with fade
    show Roy normal at Position(xpos=0.5,ypos=1.18) with moveinright
    
    r "Hey %(player)s how is it going, ready for the test?"
    p "Guess so...I'll do my best anyway."
    r "Yeah let's fight together in the exam."
    
    scene bg black with fade
    
    jump EndOfSemester
    
label Magazine:
    scene bg kelas with fade
    show Marina normal at Position(xpos=0.5,ypos=1.25) with moveinright
    
    "Together with Marina, I enter the magazine club."
    "Marina start the meeting and we discuss the main headline for the next release of school magazine."
    "The meeting last for an hour or two...or maybe more, and when it lasted all of us are going home."
    
    jump tomorrow
    
label Basketball:
    scene bg lapangan with dissolve
    "A few moments later, we both arrived at the basketball field. It's an outdoor field surrounded by trees and filled with refreshing air."
    
    show Roy basketnormal at Position(xpos=0.5,ypos=1.18) with moveinleft
    
    r "Yo %(player)s! ready to get a sweat?"
    p "Definitely! let's basketball!"
    
    scene bg black with fade
    
    "After that the club activity continues, we play our game untill we both are covered in sweat."
    
    jump tomorrow
    
label EndOfSemester:
    scene bg black with fade
    $ EndOfSemester = True
    $ day = "Monday"
    
    centered "Three months after."
    
    scene bg black with fade
    
    centered "End of semester."
    
    scene bg black with fade
    
    centered "%(day)s"
    
    scene bg kamarsiang with fade
    
    p "It's already the end of semester, I can't believe how fast time has gone by."
    p "And look at the time it's almost time for me to go to school, better get going."
    
    hide bg kamarsiang with fade
    scene bg koridor with fade
    
    "I walk down to my class just as I usually was, some students are still chatting at the corridor."
    
    scene bg kelas with dissolve
    show Roy happy at Position(xpos=0.5,ypos=1.18) with dissolve
    
    r "Hey what's up %(player)s? you came a little late today."
    p "Yeah I overslept a bit."
    r "By the way, you're not forgetting about next weeks exam right?"
    p "What do you mean? I'm not gonna repeating the same mistake I did three months ago!"
    r "That's good to hear, at least now you're not crying and begging for my help like last time."
    p "I wasn't crying!!!"
    r "Relax I was just joking man.{p}Oh, here's the teacher coming let's cut the chatter now."
    
    hide Roy happy with moveoutright
    hide bg kelas with fade
    scene bg koridor with fade
    
    "A few hours later, the class ends and I am already out of the class."
    
    show Roy happy at Position(xpos=0.5,ypos=1.18) with moveinleft
    
    r "So? are we gonna study at the library just like last time?"
    p "You bet! but now don't be mad if somebody are already there first, okay?"
    r "Heh, like I would do that."
    p "Actually, you did."
    
    scene bg perpus with dissolve
    
    "when we arrived at the library, a few students are already there before us."
    
    show Roy normal at Position(xpos=0.5,ypos=1.18) with moveinright
    
    p "So? you're not mad now because somebody are here before us?"
    r "Hey don't bring that up now, okay? what's done is done."
    p "Yeah right, whatever."
    r "Hey, isn't that Maya and Marina over there?"
    
    show Roy normal at Position(xpos=0.83,ypos=1.18) with move
    show Marina normal at Position(xpos=0.5,ypos=1.25)
    show Maya normal at Position(xpos=0.2,ypos=1.3)
    with moveinleft
    
    m "Hi guys, what a coincidence to meet you two here."
    p "Coincidence? I think the term \"De Ja Vu\" is more suitable to the situation."
    mr "Yeah, this is just like before the mid-semester exam. The only difference is now it is the end-semester exam."
    m "So? you guys wanna study together again?"
    p "Allright but I'll go find some books first."
    r "Okay then, we'll be occupying this table."
    p "...{p}What a de ja vu."
    
    hide Roy normal
    hide Marina normal
    hide Maya normal
    with moveoutright
    
    "While they're, once again, \"occupying\" the table I go looking for literatures."
    
    show Anita normal at Position(xpos=0.2,ypos=1.3) with dissolve
    
    "I notice Anita again just like three months ago, this really is a de ja vu."
    
    hide Anita normal with dissolve
    
    "After a while, I finally got enough books for study reference."
    
menu:
    "Maybe I'll study with Anita for now.":
        jump WithAnita
    
    "I think I'll study with Roy and the others.":
        jump NotWithAnita
    
label EndExam:
    $ day = "Monday"
    
    centered "%(day)s."
    
    scene bg kamarsiang with fade
    
    p "This is it, today's the end semester exam."
    p "And I'm about to move not so long after the exam ends...somehow it feels kinda sad."
    p "Oh well, it's time to go to school."
    
    hide bg kamarsiang with fade
    scene bg kelas with fade
    show Roy normal at Position(xpos=0.5,ypos=1.18) with moveinright
    
    r "Yo %(player)s, ready for the test?"
    p "You bet! I'm more prepared now than three months ago!"
    r "Now that's the spirit!"
    
    scene bg black with fade
    $ renpy.pause(2.0)
    
    centered "A few weeks later."
    
    scene bg rumahsiang with fade
    
    "This is it, today's the day I move.{p}Right now I'm packing my stuff to my bag."
    
    if roy == 150:
        show Roy normal at Position(xpos=0.5,ypos=1.18) with dissolve
        
        r "So this is it? you really are leaving huh?"
        p "R...Roy? why are you here? and how could you barge in to my house?"
        r "Well, the front door's open so I came in. Anyway, I'm here to bid you farewell."
        p "Thanks Roy, but for now can help you with this? I'm having difficulties carrying it."
        r "Alrighty."
        
        hide Roy normal with dissolve
        
        "He help me lifting a few heavy luggage, not long after that all the bags are already moved to the car."
        
        show Roy normal at Position(xpos=0.5,ypos=1.18) with dissolve
        
        r "Done. Anything else?"
        p "No, that's all."
        p "Roy, I want to thank you for being my friend I never thought that I would have a great friend like you in just six months."
        
        show Roy happy at Position(xpos=0.5,ypos=1.18)
        
        r "Hey it's all nothing pal, and besides you're a good friend too you know."
        r "Take care okay."
        p "I'll be missing you buddy."
        
        scene bg black with fade
        
        centered "Ending 1 out of 5, Roy's ending."
        
        jump Credits
    if anita == 150:
        u "%(player)s!"
        
        show Anita sad at Position(xpos=0.5,ypos=1.3) with dissolve
        
        a "Are you really leaving today?"
        p "Sadly, I am. But don't worry it doesn't mean we're not gonna see each other again, we'll meet again someday I know it."
        
        show Anita normal at Position(xpos=0.5,ypos=1.3)
        
        a "%(player)s, I have something for you. I want you to take this along with you."
        
        "She hand me a book, I feel like I've seen this book before."
        
        p "Anita, is this your novel?"
        
        show Anita happy at Position(xpos=0.5,ypos=1.3)
        
        a "Yes, I've finally finished it. i want you to keep it since you've been helping me a lot in it."
        p "I can't keep it what about you? you can't made it published if I have it with me."
        a "Oh, don't worry about that I have the copy of it, so there'll be no problem."
        p "Okay then I'll keep it so I may never forget about you. I'll read this book every night so I'll dream about you. And when you're famous I'm gonna ask for your autograph on this book."
        
        show Anita sad at Position(xpos=0.5,ypos=1.3)
        
        a "I wish you could stay here...{w}I just wish your parents don't have to move so often...{w}or at least you'd stay here longer, but that's not going to happen right?"
        p "No it's not, but I'm grateful Anita because I could know you even just for six months."
        p "See you Anita."
        
        scene bg black with fade
        
        centered "Ending 2 out of 5, Anita's ending."
        
        jump Credits
    if maya == 150:
        show Maya sad at Position(xpos=0.5,ypos=1.3) with dissolve
        
        m "So you're really leaving today, huh?"
        p "Yeah, I am. But you know what Maya? usually I don't feel anything when I moved, no sadness...no joy...nothing. But now, I feel like I'm losing someone precious to me. Someone who is standing in front of me right now."
        m "%(player)s, I...{w}I...{w}I don't want you to go I want you to stay here and don't leave."
        m "Please...{w}tell me you're not leaving."
        p "I'm sorry Maya, but I can't stay...I just can't."
        p "But we'll meet again, I'm sure of it."
        m "I'll be waiting...{w}for that time."
        
        scene bg black with fade
        
        centered "Ending 3 out of 5, Maya's ending."
        
        jump Credits
    if marina == 150:
        show Marina normal at Position(xpos=0.5,ypos=1.25) with dissolve
        
        mr "%(player)s..."
        p "Marina?"
        
        show Marina sad at Position(xpos=0.5,ypos=1.25)
        
        mr "So it's true then, you're really leaving today."
        mr "%(player)s...{w}could you stay here and don't leave? I...{w}I don't want to lose you.{w} Please tell me you're not leaving."
        p"..."
        mr "%(player)s?"
        p "I'm sorry Marina."
        mr "This...{w}this isn't fair."
        p "Marina, I might be leaving this place but that doesn't mean we can't be in touch with each other. I can still call you if I want to."
        mr "That's not enough! I...{w}I want you here by my side!"
        p "Marina...{w}I promise you I'll be back. I don't know when but I'll definitely be back."
        mr "Thank you...{w}I'll be waiting for you."
        
        scene bg black with fade
        
        centered "Ending 4 out of 5, Marina's ending."
        
        jump Credits
    
    "Some of the luggage are pretty heavy, I am having difficulties carrying them to the car."
    "After a while, all the bags, briefcase, and suitcase have already been moved to the car."
    p "Good bye, my house."
    
    scene bg black with fade
    
    centered "Ending 5 out of 5, the worst ending."
    
    
    jump Credits
    
label Credits:
    centered "Credits"
    centered "Project manager and programmer: Daggio (aryadiperwiras@gmail.com)"
    centered "Character artist: Navetsea (navetsea@telkom.net)"
    centered "Scriptwriter: Jovia (human_magician@yahoo.com)"
    centered "All photographic backgrounds were taken from morguefile (www.morguefile.com)"
    centered "Drawn backgrounds were taken from lemmasoft forum (http://lemmasoft.renai.us/forums/viewtopic.php?t=889)"
    centered "Thank you for playing."
    centered "May Indonesian games keep growing."